Jump to content

Joindre plusieurs polylignes en 1 seul fois


Recommended Posts

OK gile mais qd les polylignes ne sont pas vraiment bien lié et qu'il existe ne serait-ce qu'un infime espace entre les extrémités la jonction ne se fait pas d'ou ma question existe--il une commande ou lisp qui puisse combler le petit espace éventuel entre 2 polylignes pour pouvoir les joindre.

Link to post
Share on other sites

après Pedit multiple, tu fais l'option joindre, type de jointure "les Deux", et distance de jointure adéquate.

 

PS : moi j'utilise jpl de (Gile) mais je ne sais pas s'il y a une tolérance pour la jointure. A la limite, je suis sûr que c'est l'histoire de deux variables à mettre dans le lisp (type de jointure et distance) mais ke n'ai pas trouvé...

 

[Edité le 13/10/2008 par LUDWIG]

Autocad 2018 - Windows 7

Link to post
Share on other sites

Salut,

 

Comme dit Ludwig :

 

Commande: pedit

Sélectionnez la polyligne ou [Multiple]: m

 

Choix des objets: Spécifiez le coin opposé: 3 trouvé(s)

 

Choix des objets:

 

Entrez une option

[Clore/Ouvrir/Joindre/LArgeur/Lissage/sPline/Retrouver/Typeligne gén/Annuler]: j

 

Type de jointure = Prolonger

[surligneur]Entrez une distance approximative ou [type de Jointure] :[/surligneur]

 

Le LISP jpl ne fait que lancer PEDIT avec ces options et une distance de 0.0.

Il suffit de remplacer, dans le code, les deux 0.0 par la distance qui te convient.

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Link to post
Share on other sites

SLT GILE, j'ai bien lu ton lisp jpl super bien simple et plus direct que pedit.

Par contre ds pedit j'ai un petit soucis apres avoir cliqué joint je n'ai pas la boite de dialogue " Type de jointure = Prolonger

Entrez une distance approximative ou [type de Jointure] <0.00>: "

Enfin dernière question si tu modifies directement cette valeyure ds pedit est-ce que cela se modifier ds le lisp jpl ou bien s'il faut modifier cette valeur ds le texte de la macro !

 

Link to post
Share on other sites

Ce n'est pas une boite de dialogue.

Quand il met le message Entrez une distance approximative ou [type de Jointure] <0.00>:

Tu tapes J et là, il te propose les type de jointures. Tu tapes la lettre en majuscule du type de jointure que tu veux.

 

Si tu modifies la valeur dans pedit et que tu lances jpl, il reprendra la valeur donnée dans jpl. Donc il te faut modifier la valeur dans le texte du programme.

Autocad 2018 - Windows 7

Link to post
Share on other sites
Enfin dernière question si tu modifies directement cette valeyure ds pedit est-ce que cela se modifier ds le lisp jpl ou bien s'il faut modifier cette valeur ds le texte de la macro !

 

Le LISP répond à toutes les options, c'est donc le code du LISP qu'il faut modifier si tu veux changer la distance.

 

(defun c:jpl (/ ss)
 (and (or
 (and (= (getvar "pickfirst") 1)
      (setq ss (ssget "_I" '((0 . "ARC,LINE,LWPOLYLINE"))))
 )
 (setq ss (ssget '((0 . "ARC,LINE,LWPOLYLINE"))))
      )
      (if (= (getvar "peditaccept") 1)
 (vl-cmdf "_.pedit" "_m" ss "" "_j" 0.0 "")
 (vl-cmdf "_.pedit" "_m" ss "" "_y" "_j" 0.0 "")
      )
 )
 (princ)
)

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Link to post
Share on other sites
  • 6 years later...

c'est moi oubien...

 

Avant la 2015, ce petit lisp me jointais parfaitement tout.

depuis la 2015, si je cherche à joindre des polylignes entre elle, ça ne marche pas à tous les coup. s'il y a des lignes et des polylignes ça marche mieux...

je remet le code qui a du un peu morfler avec le temps dans l'éditeur cadxp

 

(defun c:jpl (/ ss)
 (and (or
 (and (= (getvar "pickfirst") 1)
  	(setq ss (ssget "_I" '((0 . "ARC,LINE,LWPOLYLINE"))))
 )
 (setq ss (ssget '((0 . "ARC,LINE,LWPOLYLINE"))))
  	)
  	(if (= (getvar "peditaccept") 1)
 (vl-cmdf "_.pedit" "_m" ss "" "_j" 0.0 "")
 (vl-cmdf "_.pedit" "_m" ss "" "_y" "_j" 0.0 "")
  	)
 )
 (princ)
)

 

ce serai pas à cause de " vl-cmdf "qui marche pas bien pareil?

"Rien n’est impossible à l’homme qui n’a pas à le faire lui-même." (Marcel Achard)

 

quelques trucs sur autocad

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...